Announcement Announcement Module
Collapse
No announcement yet.
XwsSecurityInterceptor using SAAJ 1.2 Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • XwsSecurityInterceptor using SAAJ 1.2

    Hi Guys,

    Hope someone helps me with the following issue. Currently we are using spring version spring-ws-1.5.4.

    I am configured my spring beans xml to use XwsSecurityInterceptor to pass security and am using SimpleUsernamePasswordCallbackHandler to populate the username and password. Currently we are unable to make a web service call as the the security header is not getting populated in my SOAP request with the current configurations. We are running on JDK 1.5 and found that our code is referring to SAAJ 1.2 jar that comes by default comes with IBM Web Sphere 6.1. I faced the similar problem in my local machine and resolved the issue by pointing to SAAJ 1.3 jar in my classpath (stand alone java application).

    Can someone please let me know how I can resolve the issue by using SAAJ 1.2 version or it would be really helpful if someone tells me how I can refer to SAAJ 1.3 version on the server instead of the using the default SAAJ 1.2 version.

    Also is it fine to use XwsSecurityInterceptor to pass the security credentials using JDK 1.5?

  • #2
    Sorry for not getting to this sooner. We are in the process of moving to StackOverflow for our forums.

    This question is probably a better candidate for StackOverflow, perhaps against the #spring-ws tag. If you do post it there, please reply here with the link.
    Thanks!

    Comment

    Working...
    X